# Class FingerprintUtils.VariantContextSet

java.lang.Object
java.util.AbstractCollection<htsjdk.variant.variantcontext.VariantContext>
java.util.AbstractSet<htsjdk.variant.variantcontext.VariantContext>
java.util.TreeSet<htsjdk.variant.variantcontext.VariantContext>
picard.fingerprint.FingerprintUtils.VariantContextSet

All Implemented Interfaces:
  `Serializable, Cloneable, Iterable<htsjdk.variant.variantcontext.VariantContext>, Collection<htsjdk.variant.variantcontext.VariantContext>, NavigableSet<htsjdk.variant.variantcontext.VariantContext>, SequencedCollection<htsjdk.variant.variantcontext.VariantContext>, SequencedSet<htsjdk.variant.variantcontext.VariantContext>, Set<htsjdk.variant.variantcontext.VariantContext>, SortedSet<htsjdk.variant.variantcontext.VariantContext>`

Enclosing class:
  `FingerprintUtils`

public static class FingerprintUtils.VariantContextSet extends TreeSet<htsjdk.variant.variantcontext.VariantContext>
A class that holds VariantContexts sorted by genomic position

See Also:
  - Serialized Form

## Method Summary

### Methods inherited from class TreeSet

`add, addAll, addFirst, addLast, ceiling, clear, clone, comparator, contains, descendingIterator, descendingSet, first, floor, headSet, headSet, higher, isEmpty, iterator, last, lower, pollFirst, pollLast, remove, size, spliterator, subSet, subSet, tailSet, tailSet`

### Methods inherited from class AbstractSet

`equals, hashCode, removeAll`

### Methods inherited from class AbstractCollection

`containsAll, retainAll, toArray, toArray, toString`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface Iterable

`forEach`

### Methods inherited from interface NavigableSet

`removeFirst, removeLast, reversed`

### Methods inherited from interface Set

`containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

### Methods inherited from interface SortedSet

`getFirst, getLast`